##// END OF EJS Templates
feat: commands, renamed set-runtime-image to set-image...
super-admin -
Show More
@@ -242,7 +242,7 b' rcstack_init_usage() {'
242 242
243 243 # :flag.usage
244 244 printf " %s\n" "--stage STAGE (repeatable)"
245 printf " specify one or more stages to run\n"
245 printf " specify one or more stages to run, e.g --force --stage\n bootstrap_v1_docker_install\n"
246 246 echo
247 247
248 248 # :flag.usage
@@ -951,7 +951,7 b' rcstack_cli_usage() {'
951 951 printf " %s run a custom command on top of docker image from RhodeCode\n" "cmd "
952 952 printf " %s ishell attached to running RhodeCode instance\n" "ishell "
953 953 printf " %s print out stored docker image version\n" "image-info "
954 printf " %s set version to .runtime.env file\n" "set-runtime-image "
954 printf " %s set version to .runtime.env file\n" "set-image "
955 955 printf " %s get current docker info\n" "docker-info "
956 956 printf " %s force upgrade docker\n" "docker-upgrade "
957 957 printf " %s CLI for Redis\n" "redis "
@@ -1111,13 +1111,50 b' rcstack_cli_image_info_usage() {'
1111 1111 }
1112 1112
1113 1113 # :command.usage
1114 rcstack_cli_set_runtime_image_usage() {
1114 rcstack_cli_set_image_usage() {
1115 1115 if [[ -n $long_usage ]]; then
1116 printf "rcstack cli set-runtime-image - set version to .runtime.env file\n"
1116 printf "rcstack cli set-image - set version to .runtime.env file\n"
1117 1117 echo
1118 1118
1119 1119 else
1120 printf "rcstack cli set-runtime-image - set version to .runtime.env file\n"
1120 printf "rcstack cli set-image - set version to .runtime.env file\n"
1121 echo
1122
1123 fi
1124
1125 printf "%s\n" "Usage:"
1126 printf " rcstack cli set-image VERSION\n"
1127 printf " rcstack cli set-image --help | -h\n"
1128 echo
1129
1130 # :command.long_usage
1131 if [[ -n $long_usage ]]; then
1132 printf "%s\n" "Options:"
1133
1134 # :command.usage_fixed_flags
1135 printf " %s\n" "--help, -h"
1136 printf " Show this help\n"
1137 echo
1138
1139 # :command.usage_args
1140 printf "%s\n" "Arguments:"
1141
1142 # :argument.usage
1143 printf " %s\n" "VERSION"
1144 printf " Version of docker image to set e.g '5.0.0'\n"
1145 echo
1146
1147 fi
1148 }
1149
1150 # :command.usage
1151 deprecated_cli_set_runtime_image_usage() {
1152 if [[ -n $long_usage ]]; then
1153 printf "rcstack cli set-runtime-image - DEPRECATED - use 'set-image' instead\n"
1154 echo
1155
1156 else
1157 printf "rcstack cli set-runtime-image - DEPRECATED - use 'set-image' instead\n"
1121 1158 echo
1122 1159
1123 1160 fi
@@ -1144,6 +1181,10 b' rcstack_cli_set_runtime_image_usage() {'
1144 1181 printf " Version of docker image to set e.g '5.0.0'\n"
1145 1182 echo
1146 1183
1184 # :command.footer
1185 printf "DEPRECATED - This command is deprecated, use 'set-image' instead\n"
1186 echo
1187
1147 1188 fi
1148 1189 }
1149 1190
@@ -4218,8 +4259,8 b' rcstack_cli_image_info_command() {'
4218 4259 }
4219 4260
4220 4261 # :command.function
4221 rcstack_cli_set_runtime_image_command() {
4222 # src/cli_set_runtime_image_command.sh
4262 rcstack_cli_set_image_command() {
4263 # src/cli_set_image_command.sh
4223 4264 set_ver=${args[version]}
4224 4265
4225 4266 .env --file $RUNTIME_ENV
@@ -4228,6 +4269,13 b' rcstack_cli_set_runtime_image_command() {'
4228 4269 .env set RC_VERSION=$set_ver
4229 4270
4230 4271 echo "New version set to $set_ver"
4272 }
4273
4274 # :command.function
4275 deprecated_cli_set_runtime_image_command() {
4276 # src/cli_set_runtime_image_command.sh
4277 echo "$(red DEPRECATED: Use 'cli set-image' instead)" >&2
4278 rcstack_cli_set_image_command "$@"
4231 4279
4232 4280 }
4233 4281
@@ -6533,10 +6581,17 b' rcstack_cli_parse_requirements() {'
6533 6581 shift $#
6534 6582 ;;
6535 6583
6584 set-image)
6585 action="set-image"
6586 shift
6587 rcstack_cli_set_image_parse_requirements "$@"
6588 shift $#
6589 ;;
6590
6536 6591 set-runtime-image)
6537 6592 action="set-runtime-image"
6538 6593 shift
6539 rcstack_cli_set_runtime_image_parse_requirements "$@"
6594 deprecated_cli_set_runtime_image_parse_requirements "$@"
6540 6595 shift $#
6541 6596 ;;
6542 6597
@@ -6868,13 +6923,69 b' rcstack_cli_image_info_parse_requirements() {'
6868 6923 }
6869 6924
6870 6925 # :command.parse_requirements
6871 rcstack_cli_set_runtime_image_parse_requirements() {
6926 rcstack_cli_set_image_parse_requirements() {
6927 # :command.fixed_flags_filter
6928 while [[ $# -gt 0 ]]; do
6929 case "${1:-}" in
6930 --help | -h)
6931 long_usage=yes
6932 rcstack_cli_set_image_usage
6933 exit
6934 ;;
6935
6936 *)
6937 break
6938 ;;
6939
6940 esac
6941 done
6942
6943 # :command.command_filter
6944 action="cli set-image"
6945
6946 # :command.parse_requirements_while
6947 while [[ $# -gt 0 ]]; do
6948 key="$1"
6949 case "$key" in
6950
6951 -?*)
6952 printf "invalid option: %s\n" "$key" >&2
6953 exit 1
6954 ;;
6955
6956 *)
6957 # :command.parse_requirements_case
6958 # :command.parse_requirements_case_simple
6959 if [[ -z ${args['version']+x} ]]; then
6960
6961 args['version']=$1
6962 shift
6963 else
6964 printf "invalid argument: %s\n" "$key" >&2
6965 exit 1
6966 fi
6967
6968 ;;
6969
6970 esac
6971 done
6972
6973 # :command.required_args_filter
6974 if [[ -z ${args['version']+x} ]]; then
6975 printf "missing required argument: VERSION\nusage: rcstack cli set-image VERSION\n" >&2
6976 exit 1
6977 fi
6978
6979 }
6980
6981 # :command.parse_requirements
6982 deprecated_cli_set_runtime_image_parse_requirements() {
6872 6983 # :command.fixed_flags_filter
6873 6984 while [[ $# -gt 0 ]]; do
6874 6985 case "${1:-}" in
6875 6986 --help | -h)
6876 6987 long_usage=yes
6877 rcstack_cli_set_runtime_image_usage
6988 deprecated_cli_set_runtime_image_usage
6878 6989 exit
6879 6990 ;;
6880 6991
@@ -7766,7 +7877,7 b' rcstack__completions_parse_requirements() {'
7766 7877
7767 7878 # :command.initialize
7768 7879 initialize() {
7769 version="5.12.0"
7880 version="5.13.0"
7770 7881 long_usage=''
7771 7882 set -e
7772 7883
@@ -7779,7 +7890,7 b' initialize() {'
7779 7890
7780 7891 # src/initialize.sh
7781 7892
7782 rc_image_ver=5.0.2
7893 rc_image_ver=5.0.3
7783 7894
7784 7895 rhodecode_default_config_path=config/_shared/rhodecode.ini
7785 7896 vcsserver_default_config_path=config/_shared/vcsserver.ini
@@ -7970,7 +8081,8 b' run() {'
7970 8081 "cli cmd") rcstack_cli_cmd_command ;;
7971 8082 "cli ishell") rcstack_cli_ishell_command ;;
7972 8083 "cli image-info") rcstack_cli_image_info_command ;;
7973 "cli set-runtime-image") rcstack_cli_set_runtime_image_command ;;
8084 "cli set-image") rcstack_cli_set_image_command ;;
8085 "cli set-runtime-image") deprecated_cli_set_runtime_image_command ;;
7974 8086 "cli docker-info") rcstack_cli_docker_info_command ;;
7975 8087 "cli docker-upgrade") rcstack_cli_docker_upgrade_command ;;
7976 8088 "cli redis") rcstack_cli_redis_command ;;
@@ -4,7 +4,7 b''
4 4 TZ="UTC"
5 5
6 6 # Version of docker image to deploy and run
7 # to set a custom version run ./rcstack cli set-runtime-image VER (e.g 5.0.0)
7 # to set a custom version run ./rcstack cli set-image VER (e.g 5.0.0)
8 8 RC_VERSION=stable
9 9
10 10 # Select RhodeCode edition ce (free community), or ee (paid/enterprise)
General Comments 0
You need to be logged in to leave comments. Login now